//    Black Penguin - Game for Linux
//    Copyright (C) 1999 Holger Priebs, pengu@priebs.de
//
//    Holger Priebs
//    Hasselkamp 39
//    D - 24119 Kronshagen / Germany
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include <qmainwindow.h>
#include <qtoolbar.h>
#include <qtoolbutton.h>
#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qkeycode.h>
#include <qpixmap.h>
#include <qstatusbar.h>
#include <qwhatsthis.h>

#include "BlackPenguinData.h"

class ApplicationWindow: public QMainWindow
{
    Q_OBJECT
public:
	ApplicationWindow();
	~ApplicationWindow();
    
private slots:
	void reset();
	void save();
	void load();
// --------
// added by Olaf Hartig (9 Nov 1999)
	void config();
// --------

public slots:
	void aboutp();
	void aboutw();
	void aboutc();
	void rules();
	void quit();

private:
	BlackPenguinData* e;	
	QToolBar *fileTools;
	QPopupMenu *controls;
	
// Pixmaps for toolbar
	QPixmap newGameIcon;
	QPixmap rulesIcon;
	QPixmap loadIcon;
	QPixmap saveIcon;
	QPixmap configIcon;
};

